<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en-us" lang="en-us">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<link href="/demos/assets/css/demostyles.css" type="text/css" rel="stylesheet" media="all" />
	<title>cfUniForm Demos - XHTML Strict Markup for your ColdFusion Forms</title>
</head>

<body>

<h3>cfUniForm - ColdFusion Custom Tag Library</h3>
<p>
	A ColdFusion custom tag library written by 
	<a href="http://www.quackfuzed.com/">Matt Quackenbush</a> used for 
	creating forms that meet the XHTML 1.0 Strict markup standard, 
	based upon the Uni-Form XHTML Markup and CSS by 
	<a href="http://www.sprawsm.com/">Dragan Babic</a>.
</p>

<h4>Current Version: 4.5.0</h4>

<h4>Demos &amp; Info</h4>
<ul>
	<li><a href="kitchenSink.cfm">View the "Kitchen Sink" demo form</a></li>
	<li><a href="globalConfig.cfm">View the "Global Config" demo form</a></li>
	<li><a href="customValidation.cfm">View the "Custom Validation" demo form</a></li>
	<li><a href="errorsArray.cfm">View the "Validation Errors Array" demo form</a></li>
	<li><a href="usingjQueryUI-datesandtimes.cfm">View the "Using jQuery UI Dates &amp; Times" demo form</a></li>
	<li><a href="usingjQueryUI-accordion.cfm">View the "Using jQuery UI Accordion" demo form</a></li>
	<li><a href="usingjQueryUI-tabs.cfm">View the "Using jQuery UI Tabs" demo form</a></li>
	<li><a href="multipleUploads.cfm">View the "Multiple Uploads" demo form</a></li>
	<li><a href="preLoaded.cfm">View the "Pre-Loaded CSS/JS" demo form</a></li>
	<li><a href="faq.cfm">cfUniForm FAQs</a></li>
	<li><a href="http://cfuniform.riaforge.org/">Download cfUniForm from RIAForge.org</a></li>
	<li><a href="http://www.quackfuzed.com/index.cfm/UniForm-Tag-Library">View my blog</a></li>
	<li><a href="http://experts.na3.acrobat.com/p32015566/">Dan Wilson's cfUniForm Preso</a></li>
	<li><a href="http://www.amazon.com/gp/registry/wishlist/P1R2TKPZ3JX2/ref=wl_web" rel="nofollow">The obligatory Amazon Wish List link</a></li>
</ul>

<h4>cfUniForm In The Wild</h4>
<ul>
	<li>
		Rachel Queen Services Group, LLC
		<ul>
			<li><a href="http://www.rachelqueensg.com/index.cfm/go/contact">contact form</a></li>
		</ul>
	</li>
	<li>
		TheHealthChallenge.com
		<ul>
			<li><a href="http://www.thehealthchallenge.com/index.cfm?x=Register.Form">registration form</a></li>
			<li><a href="http://www.thehealthchallenge.com/index.cfm?x=Login">login form</a></li>
		</ul>
	</li>
	<li>
		National Institute of Standards and Technology
		<ul>
			<li><a href="http://gsi.nist.gov/global/index.cfm/L1-1/A-19">contact form</a></li>
		</ul>
	</li>
	<li>
		ValidateThis!
		<ul>
			<li><a href="http://www.validatethis.org/">demo registration form</a></li>
		</ul>
	</li>
</ul>

<h4>Additional Credits</h4>
<ul>
	<li>
		Uni-Form XHTML Markup &amp; CSS
		<ul>
			<li><a href="http://www.sprawsm.com/uni-form/">Uni-Form Home</a></li>
			<li><a href="http://github.com/draganbabic/uni-form">Uni-Form @ GitHub</a></li>
		</ul>
	</li>
	<li>
		Integrated <a href="http://jquery.com/">jQuery</a> <a href="http://plugins.jquery.com/">Plugins</a>: 
		<ul>
			<li><a href="http://docs.jquery.com/Plugins/Validation">Form Validation</a></li>
			<li><a href="http://keith-wood.name/datepick.html">Date Picker</a></li>
			<li><a href="http://keith-wood.name/timeEntry.html">Time Entry</a></li>
			<li><a href="http://digitalbush.com/projects/masked-input-plugin">Input Masking</a></li>
			<li><a href="http://www.no-margin-for-errors.com/projects/prettyComments/">Pretty Comments</a></li>
			<li><a href="http://www.fyneworks.com/jquery/star-rating/">Star Rating</a></li>
		</ul>
	</li>
	<li>
		Supported Third-Party Libraries: 
		<ul>
			<li><a href="http://validatethis.riaforge.org/">ValidateThis!</a></li>
		</ul>
	</li>
	<li>
		Contributors: 
		<ul>
			<li><a href="http://www.nodans.com/">Dan Wilson</a></li>
			<li><a href="http://www.silverwareconsulting.com/">Bob Silverberg</a></li>
			<li>Michael Sammut</li>
			<li><a href="http://www.tacfug.org/">Byron Raines</a></li>
			<li><a href="http://www.cfwebstore.com/">Mary Jo Sminkey</a></li>
			<li><a href="http://www.backslash.ch/Mischa-Sameli">Mischa Sameli</a></li>
			<li><a href="http://www.think-lab.net/">Matt Graf</a></li>
		</ul>
	</li>
</ul>


</body>
</html>
